@charset 'utf-8';

/*------------------------------------------------------------------------------
 contentHeader
 ------------------------------------------------------------------------------*/
.contentHeader {
	z-index: 12; /* ※10+2 for niceSelect */
	position: relative;
	display: flex;
	align-items: center;
	height: 50px;
	color: #FFF;
	background: linear-gradient(#2489CE, #2489CE 50%, #007CCE 51%, #0065A9);
	border-bottom: 1px solid #999;
}
.contentHeader a {
	color: #FFF;
	text-decoration: none;
}

/* h2 */
.contentHeader h2 {
	margin: 0 5px;
}
.contentHeader h2,
.contentHeader h2 a {
	font-size: 18px;
	text-shadow: 0px -1px 1px rgba(0,0,0,0.8);
}
.contentHeader h2 span {
	color: skyblue;
}
.contentHeader h2 small {
	padding-left: 5px;
	font-size: 14px;
	font-weight: normal;
}

/* link */
.contentHeader .link {
	position: relative;
	display: inline-block;
	margin: 0 5px 0 auto;
	padding: 7px 10px;
	padding-right: 20px;
	color: #36C;
	background: #FFF;
	border-radius: 9px;
}
.contentHeader .link:after {
	position: absolute;
	top: 50%;
	right: 10px;
	content: '';
	display: block;
	width: 8px;
	height: 8px;
	margin-top: -4px;
	border-style: solid solid none none;
	border-width: 2px;
	border-color: #36C;
	transform: rotate(45deg);
}

/* links */
.contentHeader .links {
	margin: 0 5px 0 auto;
	display: flex;
	align-items: center;
}
.contentHeader .links._gap {
	gap: 1px;
}
.contentHeader .links a {
	display: inline-block;
	padding: 7px 10px;
	color: #36C;
	background: #FFF;
	border: 1px solid #FFF;
}
.contentHeader .links a.on {
	color: #FFF;
	background: deeppink;
	text-decoration: none;
}
.contentHeader .links a:nth-child(1) {
	border-top-left-radius: 7px;
	border-bottom-left-radius: 7px;
}
.contentHeader .links a:nth-child(2) {
	border-top-right-radius: 7px;
	border-bottom-right-radius: 7px;
}

/* niceSelector */
.contentHeader .niceSelector {
	margin: 0 5px 0 auto;
	display: flex;
	align-items: center;
	justify-content: center;
	min-width: 70px;
	max-width: 140px;
	color: #333;
}
.contentHeader .niceSelector select {
	max-width: 100%;
}

/* selectorBtn */
.contentHeader .selectorBtn {
	margin: 0 5px 0 auto;
	display: flex;
	align-items: center;
	justify-content: center;
	min-width: 70px;
	max-width: 130px;
	padding: 7px 10px;
	color: #36C;
	background: #FFF;
	border-radius: 9px;
}
.contentHeader .selectorBtn span {
	position: relative;
	display: inline-block;
	padding-left: 15px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.contentHeader .selectorBtn span:before {
	position: absolute;
	top: 50%;
	left: 0;
	content: '';
	display: block;
	width: 0;
	height: 0;
	margin-top: -4px;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-top: 8px solid #36C;
	border-bottom: none;
}

/*------------------------------------------------------------------------------
 contentSelector
 ------------------------------------------------------------------------------*/
.contentSelector {
	z-index: 1001;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.7);
	visibility: hidden;
	opacity: 0;
	transform: scaleY(0);
	transition: .3s .1s linear;
}

/* _opened */
body._opened .contentSelector {
	visibility: visible;
	opacity: 1;
	transform: scaleY(1);
	transition: .3s 0s linear;
}
body._opened {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
}

/* container
 ------------------------------------------------------------------------------*/
.contentSelector .container {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
	max-height: 70vh;
	background: #FFF;
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 6px;
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
	visibility: hidden;
	opacity: 0;
	transition: .2s 0s;
}
body._opened .contentSelector .container {
	visibility: visible;
	opacity: 1;
	transition: .3s .3s;
}

@media screen and (max-width: 320px) {
	.contentSelector .container {
		width: 85%;
	}
}
@media screen and (min-width: 481px) {
	.contentSelector .container {
		width: calc(375px * 0.7);
	}
}

/* header
 ------------------------------------------------------------------------------*/
.contentSelector .header {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 40px;
	color: #FFF;
	background: linear-gradient(#007CCE, #0065A9);
	border-radius: 6px 6px 0 0;
}
.contentSelector .header h4 {
	text-align: center;
	flex-grow: 1;
}

/* closeBtn */
.contentSelector .header .closeBtn {
	margin: 0 8px 0 auto;
	display: block;
	text-decoration: none;
	position: relative;
	width: 25px;
	height: 25px;
	border: 2px solid #FFF;
	border-radius: 50%;
}
.contentSelector .header .closeBtn:before,
.contentSelector .header .closeBtn:after {
	position: absolute;
	top: 50%;
	left: 50%;
	content: '';
	width: 2px;
	height: 15px;
	background: #FFF;
}
.contentSelector .header .closeBtn:before {
	transform: translate(-50%,-50%) rotate(45deg);
}
.contentSelector .header .closeBtn:after {
	transform: translate(-50%,-50%) rotate(-45deg);
}

/* body
 ------------------------------------------------------------------------------*/
.contentSelector .body {
	height: calc(100% - 60px);
	max-height: calc(70vh - 64px);
	overflow-y: auto;
	overscroll-behavior-y: contain;
}
.contentSelector .body li {
	background: #F8F8F8;
	border-top: 1px solid #FFF;
	border-bottom: 1px solid #CCC;
}
.contentSelector .body li:first-child {
	border-top: none;
}
.contentSelector .body li:last-child {
	border-bottom: none;
}
.contentSelector .body li a {
	position: relative;
	display: flex;
	align-items: center;
	min-height: 40px;
	line-height: 1.2;
	padding: 0 20px 0 10px;
	text-decoration: none;
	font-size: 14px;
	font-weight: bold;
	color: #36C;
}
.contentSelector .body li a:after {
	content: '';
	position: absolute;
	top: 50%;
	right: 15px;
	display: block;
	width: 8px;
	height: 8px;
	margin-top: -4px;
	border-style: solid solid none none;
	border-width: 2px;
	border-color: #36C;
	transform: rotate(45deg);
}
.contentSelector .body li a small {
	margin-left: 5px;
	font-weight: normal;
	font-size: 1em;
}

/*------------------------------------------------------------------------------
 nice-select
 ------------------------------------------------------------------------------*/
.nice-select {
	position: relative;
	display: block;
	height: 30px;
	line-height: 30px;
	width: auto;
	max-width: 100%; /* ※ */
	white-space: nowrap;

	padding-left: 10px;
	padding-right: 24px;

	-webkit-tap-highlight-color: transparent;
	background: #FFF;
	border: 1px solid #059;
	border-radius: 5px;

	cursor: pointer;
	outline: none;
	user-select: none;
	transition: all 0.2s ease-in-out;
}
.nice-select:after {
	position: absolute;
	right: 10px;
	top: 50%;
	content: '';
	display: block;
	width: 6px;
	height: 6px;
	margin-top: -3px;
	border-bottom: 2px solid #059;
	border-right: 2px solid #059;
	pointer-events: none;
	transform-origin: 66% 66%;
	transform: rotate(45deg);
	transition: all 0.15s ease-in-out;
}
.nice-select.open:after {
	transform: rotate(-135deg);
}

/* current */
.nice-select .current {
	display: block;
	height: 30px;
	line-height: 30px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

/* list */
.nice-select .list {
	overflow: hidden;
	z-index: 9;
	position: absolute;
	top: 100%;
	left: 0;
	margin-top: 4px;

	background: #FFF;
	box-shadow: 0px 4px 6px #555, 0 0 10px rgba(255,255,255,0.5);
	border: 2px solid #059;
	border-radius: 5px;

	opacity: 0;
	pointer-events: none;
	transform-origin: 50% 0;
	transform: scale(0.75) translateY(-21px);
	transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
}
.nice-select.right .list {
	left: auto;
	right: 0;
}
.nice-select.open .list {
	opacity: 1;
	pointer-events: auto;
	transform: scale(1) translateY(0);
}

.nice-select .option {
	min-height: 40px;
	line-height: 40px;
	padding: 0 18px 0 15px;
	cursor: pointer;
	outline: none;
	transition: all 0.2s;
}
.nice-select .list:hover .option:not(:hover) {
	background: transparent !important;
}
.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected.focus {
	background: #DEF;
}
.nice-select .option.selected {
	font-weight: bold;
}
.nice-select .option.disabled {
	background-color: transparent;
	color: #999;
	cursor: default;
}

.no-csspointerevents .nice-select .list {
	display: none;
}
.no-csspointerevents .nice-select.open .list {
	display: block;
}

/*------------------------------------------------------------------------------
 rankSelector
 ------------------------------------------------------------------------------*/
.rankSelector {
	display: flex;
	align-items: center;
	gap: 8px;
	min-height: 32px;
	padding: 10px 6px;
	background: #EEE;
	border-bottom: 1px solid #DDD;
	white-space: nowrap;
}
.rankSelector .nice-select {
	border: 1px solid #58B !important;
}
.rankSelector .nice-select:after {
	border-color: #58B !important;
}
.rankSelector .rInfo {
	margin-left: auto;
	font-size: 0.95em;
}

/* _cate */
.rankSelector ._cate,
.rankSelector ._age {
	flex: 1;
	min-width: 0;
	max-width: calc(100% - 180px); /* 100+64+8x2 */
}
.rankSelector ._area {
	flex: 0 0 100px;
}
.rankSelector ._type {
	flex: 0 0 64px;
}

/*------------------------------------------------------------------------------
 contentBody
 ------------------------------------------------------------------------------*/
#contentBody {
	z-index: 11; /* ※10+1 for niceSelect */
	position: relative;
	background: #FFF;
}

/*------------------------------------------------------------------------------
 contentInfo
 ------------------------------------------------------------------------------*/
.contentInfo {
	display: flex;
	align-items: center;
	gap: 3px;
	padding: 10px 6px;
	background: #EEE;
	border-bottom: 1px solid #DDD;
}
.contentInfo .number {
	font-weight: bold;
	font-family: Arial;
		margin-top: -2px;
	color: #26B;
}
.contentInfo .rfix {
	margin-left: auto;
}
.contentInfo .rfix .number {
	color: #F60;
}

/* twSwitch */
.twSwitch {
	text-align: right;
	height: 34px;
	line-height: 34px;
	padding: 0 5px;
	color: #111;
	border-bottom: 1px solid #CCC;
}
.twSwitch .name {
	font-size: 13px;
}
.twSwitch .part {
	text-align: center;
	display: inline-block;
	width: 40px;
	height: 26px;
	line-height: 26px;
}
.twSwitch .part.on {
	color: #FFF;
	background: deeppink;
	border-radius: 2px;
}

/*------------------------------------------------------------------------------
 contentTab
 ------------------------------------------------------------------------------*/
.contentTab {
	text-align: center;
	padding: 10px 0;
	letter-spacing: -0.4em;
	background: linear-gradient(
		#B2BBCA,
		#A7B0C3 25%,
		#909CB3 50%,
		#8593AC 51%,
		#7C8BA5 75%,
		#73839F
	);
}
.contentTab li {
	display: inline-block;
	width: 100px;
	letter-spacing: normal;
}
.contentTab li a {
	position: relative;
	display: block;
	width: 100%;
	line-height: 38px;
	font-size: 15px;
	font-weight: bold;
	letter-spacing: 1px;
	text-decoration: none;
	color: #FFF;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.6);
	background: linear-gradient(
		#92A1BF,
		#798AAD 25%,
		#6276A0 50%,
		#556A97 50%,
		#566C98 75%,
		#546993
	);
	border-style: solid;
	border-width: 1px;
	border-color: #484E59 #54617D #4C5C7A #54617D;
}
.contentTab li:first-child a {
	border-left-style: solid;
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
}
.contentTab li:last-child a {
	border-right-style: solid;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
}
.contentTab li a.on {
	color: #E16BAA;
	background: linear-gradient(#9AA5BB, #62779A 50%, #516B96 51%, #465C7E);
}
.contentTab li a:active {
	box-shadow: inset 0 1px 3px rgba(0,0,0,0.5), inset 0 -1px 3px rgba(0,0,0,0.5);
}

/*------------------------------------------------------------------------------
 contentFooter
 ------------------------------------------------------------------------------*/
.contentFooter li:nth-child(1) a:after {
	background-image: url(/sp/images/btn/home.png);
}
.contentFooter li:nth-child(2) a:after {
	background-image: url(/sp/images/btn/user.png);
}
.contentFooter li:nth-child(3) a:after {
	background-image: url(/sp/images/btn/menu.png);
}
.contentFooter li:nth-child(4) a:after {
	background-image: url(/sp/images/btn/pagetop.png);
}
